import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterSubmitAllocateToFreezing = createAsyncThunk(
  "SLAUGHTER_SUBMIT_ALLOCATE_FREEZING",
  async (d, { dispatch }) => {
    try {
      const { data, status } = await axios.post(`cold-house-allocations/`, d);
      dispatch(LOADING_START());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
